[Grid]
λ0 = 0.0
#ϕ0 = 0.0
ϕ0 = 0.7853981633974483
α0 = 0.0

[Test_case]

# Possible values
#  -1 : multiscale signal (passive advection only)
#   0 : deformation flow  (passive advection only)
#   1 : cosine hill (passive advection only)
#   2 : zonal flow (shallow water)
#   5 : zonal flow over an isolated mountain (shallow water)
#   6 : Rossby-Haurvitz waves (shallow water)
#   8 : Unstable jet (shallow water)
#   9 : Matsuno (shallow water)
#   10 : unsteady_zonal (shallow water)
case_number = 10

[Time_integration]

# Time step
dt = 900

# End time of the simulation in sec
t_end = 432000

# Time integration scheme
# Possible values  = tvdrk3 : 3th Order TVD-RK time integration
#                    epi2 : 2n order exponential propagation iterative
#                    epi3 : 3rd order exponential propagation iterative (Recommended)
#                    epirk4s3A : 4th order 3-stage EPIRK time integration
time_integrator = epi6

# Initial size of the Krylov space. Stay constant for phipm, but can be updated dynamically with phipm_iom
krylov_size = 10

# Solver tolerance
tolerance = 1e-10

[Spatial_discretization]

# The grid will have (nbsolpts) x (nbsolpts) nodal points in each elements.
nbsolpts = 5

# Number of element in x^1 and x^2 directions
# Each face of the cube have (nbElements x nbElements) elements, for a total of (6 x nbElements x nbElements) elements.
nb_elements = 20

[Output_options]

# Print blockstats every "stat_freq" steps, 0 to disable.
stat_freq = 1

# Output solution every "plot_freq" steps, 0 to disable.
output_freq = 96

# Output filename
output_file = ./model_output/converg5_lauter_ne20.nc
